Cheap VPS & Xen Server


Residential Proxy Network - Hourly & Monthly Packages

How to install php-amqp on Debian Unstable (Sid)


Install php-amqp

Installing php-amqp package on Debian Unstable (Sid) is as easy as running the following command on terminal:

sudo apt-get update
sudo apt-get install php-amqp

php-amqp package information

distro Debian Unstable (Sid)
section Main
name php-amqp
version 1.7.0~alpha2-4
description AMQP extension for PHP
subsection php
website pecl.php.net / package / amqp
maintainer Debian PHP PECL Maintainers

Uninstall php-amqp

To remove just php-amqp package itself from Debian Unstable (Sid) execute on terminal:

sudo apt-get remove php-amqp

Uninstall php-amqp and it’s dependent packages

To remove the php-amqp package and any other dependant package which are no longer needed from Debian Sid.

sudo apt-get remove --auto-remove php-amqp

Purging php-amqp

If you also want to delete configuration and/or data files of php-amqp from Debian Sid then this will work:

sudo apt-get purge php-amqp

To delete configuration and/or data files of php-amqp and it’s dependencies from Debian Sid then execute:

sudo apt-get purge --auto-remove php-amqp

 

Comments

comments